#!/bin/bash
#Note: ,fi processes log file, loads .fix
#      in .fix, "e" loads the file having the error
#      to move between files: <C-p>, <C-n>
PATH=~saied/bin:$PATH
if(test -z $1) then
	echo "$0 <TeX file>"
	exit
fi
TeXFile=$1
OutputFile=`pwd`/.fix
/bin/rm -f texput.log
grep -A1 "input\|^$\|Warning:\|Error:\|^ *([A-Za-z_]*\.tex$\|[0-9]\.$" *.log \
	| sed -ne '/./{H;};x;/Warning:/p;/Error:/p;/^ *([A-Za-z_]*\.tex.*$/P;' \
	| uniq \
	| sed 's/^ *(/\
\
\
Filename: /' \
	| sed '/Warning/{N;s/\n//g;}' \
	| sed  '/^$/d;s/\.$//' \
	| uniq \
	| awk '{\
			if($1=="Filename:")\
				filename=$2;
			else if($2=="Warning:" || $2=="Error:")\
			{\
				if($3=="Citation")\
					linenumber=$12;\
				else if($3=="Reference")\
					linenumber=$12;\
				else if($3=="Float")\
					linenumber=$13;\
				else \
					linenumber=0;\
				printf("%s:%s:%s:[%s]\n", filename, linenumber, $3, $0);\
			}\
		}' \
	| sort -k3 -t":" \
	| awk -F":" '{printf("%-30s:%6s :  %s%s%s%s\n",$1,$2,$4,$5,$6,$7);}' \
	| sed 's/LaTeX //g' \
	| grep -v "Warning There were undefined references" \
	> $OutputFile
#	| sed 's/)//g' \
 
 
